# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'docker/registry/api/version'

Gem::Specification.new do |spec|
  spec.name          = "docker-registry-api"
  spec.version       = Docker::Registry::Api::VERSION
  spec.authors       = ["Albin Gilles"]
  spec.email         = ["gilles.albin@gmail.com"]

  spec.summary       = %q{Simple ruby api over the docker registry rest api}
  spec.description   = %q{Simple ruby api over the docker registry rest api}
  spec.homepage      = "https://github.com/GoPex/docker-registry-api"
  spec.license       = "GPLv3"

  spec.files         = `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.11"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "minitest", "~> 5.0"
  spec.add_development_dependency "json", "~> 1.8"
  spec.add_development_dependency "rest-client", "~> 1.8.0"
end
